RealmChoiceCallback (Java Platform SE 8 )
Keywords: javax.security.sasl.RealmChoiceCallback class
Date: 2026-04-17

compact3
javax.security.sasl

## Class RealmChoiceCallback

- java.lang.Object
- - javax.security.auth.callback.ChoiceCallback
  - - javax.security.sasl.RealmChoiceCallback

- All Implemented Interfaces:
    Serializable, Callback

      public class RealmChoiceCallback
      extends ChoiceCallback

  This callback is used by `SaslClient` and `SaslServer` to obtain a realm given a list of realm choices.
  Since:
    1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RealmChoiceCallback(String prompt, String[] choices, int defaultChoice, boolean multiple)` Constructs a `RealmChoiceCallback` with a prompt, a list of choices and a default choice.

  - ### Method Summary

    - ### Methods inherited from class javax.security.auth.callback.ChoiceCallback

      `allowMultipleSelections, getChoices, getDefaultChoice, getPrompt, getSelectedIndexes, setSelectedIndex, setSelectedIndexes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RealmChoiceCallback

          public RealmChoiceCallback(String prompt,
                                     String[] choices,
                                     int defaultChoice,
                                     boolean multiple)

      Constructs a `RealmChoiceCallback` with a prompt, a list of choices and a default choice.
      Parameters:
        `prompt` - the non-null prompt to use to request the realm.
        `choices` - the non-null list of realms to choose from.
        `defaultChoice` - the choice to be used as the default choice when the list of choices is displayed. It is an index into the `choices` array.
        `multiple` - true if multiple choices allowed; false otherwise
      Throws:
        `IllegalArgumentException` - If `prompt` is null or the empty string, if `choices` has a length of 0, if any element from `choices` is null or empty, or if `defaultChoice` does not fall within the array boundary of `choices`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.